const baseURL = 'http://192.168.0.112:8088/api/';

export function $http(methods,url,params){
  var header = {
    'content-type': 'application/json',
    'Authorization' : wx.getStorageSync('token') || ''
  };
  return new Promise((resolve,reject)=>{
    wx.showLoading({
      title: '正在加载中...',
    })
    wx.request({
      url: baseURL + url,
      method: methods,
      header: header,
      data: params || {},
      success: res=> {
        wx.hideLoading();
        if(!res.data.success && res.data.status == 401){
          // console.log('登陆失效')
          wx.navigateTo({
            url: '/pages/login/index',
          })
        }
        resolve(res);
      },
      fail: err=> {
        wx.hideLoading();
        wx.showToast({
          title: '服务器错误，请稍后再试！',
          icon : 'none'
        })
        reject(err)
      }
    })
  })
}